diff -Nru asterisk-1.2.13.orig/channels/chan_h323.c asterisk-1.2.13.safe_capa/channels/chan_h323.c
--- asterisk-1.2.13.orig/channels/chan_h323.c	2006-08-30 20:59:44.000000000 +0200
+++ asterisk-1.2.13.safe_capa/channels/chan_h323.c	2006-11-13 14:57:19.176810296 +0100
@@ -106,6 +106,8 @@
 static char default_context[AST_MAX_CONTEXT] = "default";
 static struct sockaddr_in bindaddr;
 
+#define GLOBAL_CAPABILITY (AST_FORMAT_G723_1 | AST_FORMAT_GSM | AST_FORMAT_ULAW | AST_FORMAT_ALAW | AST_FORMAT_G729A | AST_FORMAT_H261)
+
 /** H.323 configuration values */
 static int h323_signalling_port = 1720;
 static char gatekeeper[100];
@@ -2021,7 +2023,7 @@
 	memset(&global_options, 0, sizeof(global_options));
 	global_options.dtmfcodec = 101;
 	global_options.dtmfmode = H323_DTMF_RFC2833;
-	global_options.capability = ~0;	/* All capabilities */
+	global_options.capability = GLOBAL_CAPABILITY;	/* All capabilities */
 	global_options.bridge = 1;		/* Do native bridging by default */
 	v = ast_variable_browse(cfg, "general");
 	while(v) {
